Bug 454052 - Krita crashes everytime I select a pattern I created Iin the manage resources menu
Summary: Krita crashes everytime I select a pattern I created Iin the manage resource...
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Resource Management (show other bugs)
Version: 5.0.6
Platform: Other Microsoft Windows
: NOR crash
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-05-19 17:29 UTC by s.hencleeday
Modified: 2022-07-13 09:40 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments
it's past the third time this happens today (190.63 KB, image/png)
2022-05-19 17:29 UTC, s.hencleeday
Details

Note You need to log in before you can comment on or make changes to this bug.
Description s.hencleeday 2022-05-19 17:29:10 UTC
Created attachment 149005 [details]
it's past the third time this happens today

SUMMARY
***
NOTE: If you are reporting a crash, please try to attach a backtrace with debug symbols.
See https://community.kde.org/Guidelines_and_HOWTOs/Debugging/How_to_create_useful_crash_reports
***
Error occurred on Thursday, May 19, 2022 at 17:51:49.

krita.exe caused an Access Violation at location 00007FFD8CD2D030 in module libkritaresources.dll Reading from location 0000000000000008.

AddrPC           Params
00007FFD8CD2D030 00000000005F62D8 0000000012DCC970 0000000000000000  libkritaresources.dll!0x5d030 KisTag::name+0x10
00007FFD8CD18230 0000000000000000 01000000005F6429 0000000000000000  libkritaresources.dll!0x48230 KisResourceQueryMapper::variantFromResourceQuery+0x310
00007FFD8CD00F80 00000000005F6530 00000000282170E0 00000000005F66B0  libkritaresources.dll!0x30f80 KisAllResourcesModel::data+0xc0
00007FFD66384B04 000000000000001F 0000000000000002 00000000005F6620  Qt5Core.dll!0x1c4b04 QSortFilterProxyModel::data+0x84
00007FFD8CD0C7B4 0000000000000008 0000000027BF7360 0000000000000002  libkritaresources.dll!0x3c7b4 KisTagFilterResourceProxyModel::filterAcceptsRow+0xa94
00007FFD6638CD0D 00000000005F6740 00000000282170E0 0000000000000001  Qt5Core.dll!0x1ccd0d QSortFilterProxyModel::setSortRole+0x282d
00007FFD6638DDBD 00000000282170E0 00000000005F6740 0000000000000001  Qt5Core.dll!0x1cddbd QSortFilterProxyModel::invalidateFilter+0x2d
00007FFD8CD0AB3D 00007FFD6654D1E0 0000000000DA0000 00000000005F67E0  libkritaresources.dll!0x3ab3d KisTagFilterResourceProxyModel::setStorageFilter+0x2d
00007FFD59982068 00000000005F6808 0000000027BDB2C0 00000000005F6820  kritaresourcemanager.dll!0x12068 DlgResourceManager::slotResourceTypeSelected+0xb8
00007FFD663D51F8 0000000027BDB2C0 0000000000000000 000000001A466C60  Qt5Core.dll!0x2151f8 QMetaObject::activate+0x7b8
00007FFD6933F768 000000001B072C60 00000000005F6A10 000000001ABA79E0  Qt5Widgets.dll!0xef768 QComboBoxPrivateContainer::mousePressEvent+0x2a8
00007FFD69342744 000000001ABA79E0 00000000005F6A10 00000000005F699F  Qt5Widgets.dll!0xf2744 QComboBox::setLineEdit+0x574
00007FFD69346E6D 00007FFD6672A640 0000000000000000 000000001ABC001B  Qt5Widgets.dll!0xf6e6d QComboBox::qt_static_metacall+0x3ad
00007FFD663D51F8 000000001ABA79E0 0000000000000000 00000000280411A0  Qt5Core.dll!0x2151f8 QMetaObject::activate+0x7b8
00007FFD6933E338 000000002821E7F0 000000002821E7F0 00000000005F6C50  Qt5Widgets.dll!0xee338 QComboBoxPrivateContainer::eventFilter+0x2b8
00007FFD663A87A0 00000000005FFB80 0000000000000001 000000002828FAA0  Qt5Core.dll!0x1e87a0 QCoreApplication::applicationVersionChanged+0x1a0
00007FFD69257C35 00000000123EBF00 00007FFD62651DDD 0000006100000019  Qt5Widgets.dll!0x7c35 QApplicationPrivate::notify_helper+0x75
00007FFD6925F77B 0000000000000000 0000000000000000 00000000283CAA30  Qt5Widgets.dll!0xf77b QApplication::notify+0xedb
00007FFD62F99A8F 0000000000000000 0000000000000000 0000000000000000  libkritaui.dll!0x389a8f KisApplication::notify+0x10f
00007FFD663A9E98 C000000000000000 C000000000000000 0000000000000000  Qt5Core.dll!0x1e9e98 QCoreApplication::sendSpontaneousEvent+0x1a8
00007FFD6925E028 00007FFD6654D1E0 00000000005F7120 00000000005F78B8  Qt5Widgets.dll!0xe028 QApplicationPrivate::sendMouseEvent+0x208
00007FFD692AB074 00000000028AC2E0 00007FFD663A86A1 0000000000000003  Qt5Widgets.dll!0x5b074 QDesktopWidget::qt_metacall+0x2e94
00007FFD692AD6EB 00000000005FFB80 0000000002606790 00000000283C82E0  Qt5Widgets.dll!0x5d6eb QDesktopWidget::qt_metacall+0x550b
00007FFD69257C5C 000000001ABA79E0 00000000028AC2E0 000000001A46C440  Qt5Widgets.dll!0x7c5c QApplicationPrivate::notify_helper+0x9c
00007FFD6925EBBE 00000000000B0000 00007FFD00000001 0000000000000068  Qt5Widgets.dll!0xebbe QApplication::notify+0x31e
00007FFD62F99A8F 00007FFDB4041D60 00007FFD6262A7A4 0000000000000000  libkritaui.dll!0x389a8f KisApplication::notify+0x10f
00007FFD663A9E98 00007FFDB36E1404 000000006FD0728C 0000000000000068  Qt5Core.dll!0x1e9e98 QCoreApplication::sendSpontaneousEvent+0x1a8
00007FFD62616DD4 0000000000000000 00007FFD663AFC33 00000000005F7938  Qt5Gui.dll!0x36dd4 QGuiApplicationPrivate::processMouseEvent+0x674
00007FFD626181C5 0000000002968440 00000000029ADE90 00000000002004A6  Qt5Gui.dll!0x381c5 QGuiApplicationPrivate::processWindowSystemEvent+0x105
00007FFD625F0DD0 0000000000000401 00000000002004A6 0000000000381000  Qt5Gui.dll!0x10dd0 QWindowSystemInterface::sendWindowSystemEvents+0x370
00007FFD6640472A 0000000000000000 0000000000000001 0000000000000001  Qt5Core.dll!0x24472a QEventDispatcherWin32Private::sendTimerEvent+0x60a
00007FFDB403E858 0000000002968440 00007FFD66404250 00000000002004A6  USER32.dll!0xe858 UserCallWinProcCheckWow+0x2f8
00007FFDB403E299 00007FFD66404250 00000000005F7DA0 0000000000000000  USER32.dll!0xe299 DispatchMessageWorker+0x249
00007FFD66403BCB 00000000029ADE90 0000000000000064 00000000025EFD60  Qt5Core.dll!0x243bcb QEventDispatcherWin32::processEvents+0x5cb
000000006A8FFD55 0000000000000080 0000000000000014 000000001A46EB80  qwindows.dll!0x7fd55 qt_plugin_instance+0x2a25
00007FFD663A7E7F 000000001A466C60 000000001A464A90 0000000000000000  Qt5Core.dll!0x1e7e7f QEventLoop::exec+0x13f
00007FFD6941BFAE 000000001A466CC0 0000000000DA0000 0000000000000130  Qt5Widgets.dll!0x1cbfae QDialog::exec+0x1ee
00007FFD59972E39 0000000000000000 0000001300000555 00000000139F1A00  kritaresourcemanager.dll!0x2e39 ResourceManager::slotManageResources+0x79
00007FFD663D51F8 000000001B93F1C0 0000001300000555 0000000000000000  Qt5Core.dll!0x2151f8 QMetaObject::activate+0x7b8
00007FFD69253E2E 00007FFD6961BA20 00007FFD6961B460 00000000005FB328  Qt5Widgets.dll!0x3e2e QAction::activate+0xfe
00007FFD693A3E6B 00000000005FB330 00000000276CD1D0 000000001B93F1C0  Qt5Widgets.dll!0x153e6b QMenu::setIcon+0x22b
00007FFD693AB265 00000000005FB3F0 0000000000000000 0000000000000000  Qt5Widgets.dll!0x15b265 QMenu::leaveEvent+0x2c5
00007FFD69296258 00007FFD66615DE8 00000000005FB4E0 00007FFD66615DE0  Qt5Widgets.dll!0x46258 QWidget::event+0x1d8
00007FFD693AE0EB 00000000005FFB80 0000000000000001 000000002540D090  Qt5Widgets.dll!0x15e0eb QMenu::event+0x8b
00007FFD69257C5C 00000000123EBF00 0000000000DA0000 0000003B00000032  Qt5Widgets.dll!0x7c5c QApplicationPrivate::notify_helper+0x9c
00007FFD6925F77B 0000E05AB39A9E05 0000000000DA0860 0000000000000040  Qt5Widgets.dll!0xf77b QApplication::notify+0xedb
00007FFD62F99A8F 00000000005FBE20 0000003500000000 0000000000000000  libkritaui.dll!0x389a8f KisApplication::notify+0x10f
00007FFD663A9E98 0000000000000025 0000000000000000 000000001AEC1080  Qt5Core.dll!0x1e9e98 QCoreApplication::sendSpontaneousEvent+0x1a8
00007FFD6925E028 000000002540D090 00007FFD6640053B 00000000005FC090  Qt5Widgets.dll!0xe028 QApplicationPrivate::sendMouseEvent+0x208
00007FFD692AB074 00000000028AC2E0 00007FFD663A86A1 0000000000000004  Qt5Widgets.dll!0x5b074 QDesktopWidget::qt_metacall+0x2e94
00007FFD692AD6EB 00000000005FFB80 0000000002606790 000000001D251A50  Qt5Widgets.dll!0x5d6eb QDesktopWidget::qt_metacall+0x550b
00007FFD69257C5C 000000000DA4BAF0 00000000005FBD10 00000000276CD1D0  Qt5Widgets.dll!0x7c5c QApplicationPrivate::notify_helper+0x9c
00007FFD6925EBBE 00000000000B0000 00007FFD00000001 0000000000000068  Qt5Widgets.dll!0xebbe QApplication::notify+0x31e
00007FFD62F99A8F 00007FFDB4041D60 00007FFD6262A7A4 0000000000000000  libkritaui.dll!0x389a8f KisApplication::notify+0x10f
00007FFD663A9E98 00007FFDB36E1404 000000006FD0728C 0000000000000068  Qt5Core.dll!0x1e9e98 QCoreApplication::sendSpontaneousEvent+0x1a8
00007FFD62616DD4 0000000000000000 00007FFD663AFC33 00000000005FC1E8  Qt5Gui.dll!0x36dd4 QGuiApplicationPrivate::processMouseEvent+0x674
00007FFD626181C5 0000000002968440 00000000029ADE90 00000000002004A6  Qt5Gui.dll!0x381c5 QGuiApplicationPrivate::processWindowSystemEvent+0x105
00007FFD625F0DD0 0000000000000401 00000000002004A6 0000000000381000  Qt5Gui.dll!0x10dd0 QWindowSystemInterface::sendWindowSystemEvents+0x370
00007FFD6640472A 0000000000000000 0000000000000001 0000000000000001  Qt5Core.dll!0x24472a QEventDispatcherWin32Private::sendTimerEvent+0x60a
00007FFDB403E858 0000000002968440 00007FFD66404250 00000000002004A6  USER32.dll!0xe858 UserCallWinProcCheckWow+0x2f8
00007FFDB403E299 00007FFD66404250 00000000005FC650 0000000000000000  USER32.dll!0xe299 DispatchMessageWorker+0x249
00007FFD66403BCB 00000000029ADE90 0000000000000024 00000000025EFD60  Qt5Core.dll!0x243bcb QEventDispatcherWin32::processEvents+0x5cb
000000006A8FFD55 0000000000000080 0000000000000014 000000002817FA00  qwindows.dll!0x7fd55 qt_plugin_instance+0x2a25
00007FFD663A7E7F 0000000002923900 000000000DA691D0 000000001AAC0060  Qt5Core.dll!0x1e7e7f QEventLoop::exec+0x13f
00007FFD663B10F7 00007FFD662699A0 00007FFD8BB01D30 0000000000000004  Qt5Core.dll!0x1f10f7 QCoreApplication::exec+0x77
00007FFD6EB2547D 0000000000000001 0000000002606890 0000000140007970  krita.dll!0x547d krita_main+0x25cd
00000001400013C7 0000000000000000 0000000000000000 0000000000000000  krita.exe!0x13c7 __tmainCRTStartup+0x247
00000001400014CB 0000000000000000 0000000000000000 0000000000000000  krita.exe!0x14cb WinMainCRTStartup+0x1b
00007FFDB4247034 0000000000000000 0000000000000000 0000000000000000  KERNEL32.DLL!0x17034 BaseThreadInitThunk+0x14
00007FFDB5962651 0000000000000000 0000000000000000 0000000000000000  ntdll.dll!0x52651 RtlUserThreadStart+0x21

0000000140000000-0000000140047000 krita.exe   	5.0.6.0
00007FFDB5910000-00007FFDB5B05000 ntdll.dll   	6.2.19041.1682
00007FFDB4230000-00007FFDB42ED000 KERNEL32.DLL	6.2.19041.1706
00007FFDB3020000-00007FFDB32ED000 KERNELBASE.dll	6.2.19041.1706
00007FFDB4DF0000-00007FFDB4E8E000 msvcrt.dll  	7.0.19041.546
00007FFD6EB20000-00007FFD6F1C1000 krita.dll
00007FFD8CDD0000-00007FFD8CE94000 libkritaglobal.dll
00007FFD667E0000-00007FFD66DF3000 libkritaimage.dll
00007FFD8CCD0000-00007FFD8CDCB000 libkritaresources.dll
00007FFD62C10000-00007FFD634E6000 libkritaui.dll
00007FFDB4320000-00007FFDB434A000 GDI32.dll   	6.2.19041.1620
00007FFDB36E0000-00007FFDB3702000 win32u.dll  	6.2.19041.1706
00007FFDB3850000-00007FFDB395B000 gdi32full.dll	6.2.19041.1706
00007FFDB35C0000-00007FFDB365D000 msvcp_win.dll	6.2.19041.789
00007FFDB32F0000-00007FFDB33F0000 ucrtbase.dll	6.2.19041.789
00007FFDB4030000-00007FFDB41D0000 USER32.dll  	6.2.19041.1503
0000000061440000-000000006145A000 libgcc_s_seh-1.dll
000000006FC40000-000000006FDA5000 libstdc++-6.dll
00007FFDA9D10000-00007FFDA9D73000 libKF5ConfigCore.dll
00007FFDA8A00000-00007FFDA8A57000 libKF5I18n.dll
00007FFD661C0000-00007FFD667D3000 Qt5Core.dll 	5.12.12.0
00007FFDB3D10000-00007FFDB3DBE000 ADVAPI32.dll	6.2.19041.1682
00007FFDB5780000-00007FFDB581C000 sechost.dll 	6.2.19041.1586
00007FFDB3B70000-00007FFDB3C95000 RPCRT4.dll  	6.2.19041.1706
00007FFDB4470000-00007FFDB459A000 ole32.dll   	6.2.19041.1202
00007FFDB5420000-00007FFDB5774000 combase.dll 	6.2.19041.1682
00007FFDB4610000-00007FFDB4D54000 SHELL32.dll 	6.2.19041.1706
00007FFDB3CA0000-00007FFDB3D0B000 WS2_32.dll  	6.2.19041.546
00007FFD625E0000-00007FFD62C03000 Qt5Gui.dll  	5.12.12.0
00007FFD69250000-00007FFD697BE000 Qt5Widgets.dll	5.12.12.0
00007FFDAE500000-00007FFDAE50E000 libkritaversion.dll
00007FFDA8600000-00007FFDA863B000 Qt5Xml.dll  	5.12.12.0
00007FFDAB7F0000-00007FFDAB80F000 libkritacommand.dll
00007FFDA8580000-00007FFDA85B8000 libkritametadata.dll
00007FFD6F3A0000-00007FFD6F6D2000 libkritapigment.dll
00007FFDAB0D0000-00007FFDAB0F5000 libkritaplugin.dll
00007FFDA8480000-00007FFDA84E3000 libkritapsd.dll
00007FFD7A260000-00007FFD7A3BC000 libkritawidgetutils.dll
0000000064940000-0000000064955000 libwinpthread-1.dll	1.0.0.0
00007FFD78190000-00007FFD78327000 libfftw3.dll
00007FFD8ECD0000-00007FFD8ED1E000 libHalf-2_5.dll
00007FFDAA6A0000-00007FFDAA6BD000 libkritastore.dll
00007FFD8BD50000-00007FFD8BDE6000 libKF5CoreAddons.dll
00007FFD8DD40000-00007FFD8DD88000 Qt5Sql.dll  	5.12.12.0
00007FFDA8080000-00007FFDA80B3000 libquazip5.dll
00007FFDAB7E0000-00007FFDAB7EE000 libkritacolor.dll
00007FFD76C90000-00007FFD76E88000 libkritaflake.dll
00007FFDAA440000-00007FFDAA461000 libkritaimpex.dll
00007FFD8D8F0000-00007FFD8D959000 libkritalibbrush.dll
00007FFD8ED90000-00007FFD8EDD0000 libkritaresourcewidgets.dll
00007FFD7ADB0000-00007FFD7AE96000 libkritawidgets.dll
00007FFD6C9C0000-00007FFD6CC36000 libexiv2.dll
00007FFD8CFA0000-00007FFD8CFDC000 libKF5Completion.dll
00007FFDB3DD0000-00007FFDB3DD8000 PSAPI.DLL   	6.2.19041.546
00007FFDAA380000-00007FFDAA3A9000 libKF5ConfigGui.dll
00007FFD93A10000-00007FFD93A3A000 libKF5GuiAddons.dll
00007FFD7A130000-00007FFD7A259000 libKF5WidgetsAddons.dll
00007FFD8CC90000-00007FFD8CCCD000 libKF5ItemViews.dll
00007FFD8BD10000-00007FFD8BD4E000 libpng16.dll
00007FFD721E0000-00007FFD7236E000 Qt5Network.dll	5.12.12.0
00007FFD79A10000-00007FFD79B03000 Qt5Multimedia.dll	5.12.12.0
00007FFD7E600000-00007FFD7E655000 Qt5Svg.dll  	5.12.12.0
00007FFDB3460000-00007FFDB35B6000 CRYPT32.dll 	6.2.19041.1320
00007FFDA8800000-00007FFDA881F000 intl.dll    	0.19.0.0
00007FFDA6770000-00007FFDA678A000 NETAPI32.dll	6.2.19041.1682
00007FFD9D170000-00007FFD9D18F000 MPR.dll     	6.2.19041.1566
00007FFDB2F20000-00007FFDB2F4E000 USERENV.dll 	6.2.19041.572
00007FFDAC410000-00007FFDAC41A000 VERSION.dll 	6.2.19041.546
00007FFD9AB60000-00007FFD9AB87000 WINMM.dll   	6.2.19041.546
00007FFD8DD10000-00007FFD8DD31000 libzlib.dll 	1.2.12.0
00007FFDB0920000-00007FFDB094F000 dwmapi.dll  	6.2.19041.746
00007FFDB0610000-00007FFDB06AE000 UxTheme.dll 	6.2.19041.1620
00007FFD8CB40000-00007FFD8CB6D000 libKF5WindowSystem.dll
00007FFD7DA60000-00007FFD7DAB8000 Qt5PrintSupport.dll	5.12.12.0
00007FFDB3F50000-00007FFDB402B000 comdlg32.dll	6.2.19041.1566
00007FFDB5820000-00007FFDB58CD000 shcore.dll  	6.2.19041.1645
00007FFDB45B0000-00007FFDB4605000 SHLWAPI.dll 	6.2.19041.1706
00007FFD808F0000-00007FFD80926000 libexpat.dll
00007FFDA85E0000-00007FFDA85F2000 iconv.dll
00007FFDB24A0000-00007FFDB256B000 DNSAPI.dll  	6.2.19041.1620
00007FFDB2400000-00007FFDB243B000 IPHLPAPI.DLL	6.2.19041.546
00007FFD62320000-00007FFD625DA000 libcrypto-1_1-x64.dll	1.1.1.12
00007FFD78100000-00007FFD7818E000 libssl-1_1-x64.dll	1.1.1.12
00007FFD9C0D0000-00007FFD9C180000 COMCTL32.dll	5.82.19041.1110
00007FFDAB010000-00007FFDAB0A4000 WINSPOOL.DRV	6.2.19041.1706
00007FFDB2440000-00007FFDB244C000 NETUTILS.DLL	6.2.19041.546
00007FFDB2980000-00007FFDB298C000 CRYPTBASE.DLL	6.2.19041.546
00007FFDB2450000-00007FFDB2494000 LOGONCLI.DLL	6.2.19041.1682
00007FFD9C590000-00007FFD9C5A9000 SAMCLI.DLL  	6.2.19041.1466
00007FFDA3CF0000-00007FFDA3D18000 SRVCLI.DLL  	6.2.19041.1645
00007FFDB42F0000-00007FFDB4320000 IMM32.DLL   	6.2.19041.546
00007FFDB3DC0000-00007FFDB3DC8000 NSI.dll     	6.2.19041.610
00007FFDB2F60000-00007FFDB2F7F000 profapi.dll 	6.2.19041.844
00007FFDB0FC0000-00007FFDB1754000 windows.storage.dll	6.2.19041.1706
00007FFDB2A80000-00007FFDB2AAC000 Wldp.dll    	6.2.19041.1682
000000006A880000-000000006AA37000 qwindows.dll	5.12.12.0
00007FFDB3E80000-00007FFDB3F4D000 OLEAUT32.dll	6.2.19041.985
00007FFDB1760000-00007FFDB1774000 WTSAPI32.dll	6.2.19041.546
00007FFDB1900000-00007FFDB1912000 kernel.appcore.dll	6.2.19041.546
00007FFDB37C0000-00007FFDB3842000 bcryptPrimitives.dll	6.2.19041.1415
00007FFDA8820000-00007FFDA89EF000 d3d9.dll    	6.2.19041.1566
00007FFDB3660000-00007FFDB3687000 bcrypt.dll  	6.2.19041.1023
00007FFDB2C10000-00007FFDB2C22000 msasn1.dll  	6.2.19041.546
00007FFDA7310000-00007FFDA7341000 cryptnet.dll	6.2.19041.906
00007FFDB33F0000-00007FFDB3458000 WINTRUST.DLL	6.2.19041.1682
00007FFDB3E60000-00007FFDB3E7D000 imagehlp.dll	6.2.19041.1415
00007FFDB2960000-00007FFDB2978000 CRYPTSP.dll 	6.2.19041.546
00007FFDB2090000-00007FFDB20C4000 rsaenh.dll  	6.2.19041.1052
00007FFDB4350000-00007FFDB4465000 MSCTF.dll   	6.2.19041.1620
00007FFD8E1A0000-00007FFD8E2C6000 opengl32.dll	6.2.19041.1566
00007FFDA4B10000-00007FFDA4B3C000 GLU32.dll   	6.2.19041.1566
00007FFDB4E90000-00007FFDB4F39000 clbcatq.dll 	2001.12.10941.16384
00007FFD5EF30000-00007FFD61F58000 nvoglv64.dll	30.0.15.1277
00007FFDB4FA0000-00007FFDB5411000 SETUPAPI.dll	6.2.19041.1682
00007FFDB3690000-00007FFDB36DE000 cfgmgr32.dll	6.2.19041.1620
00007FFDA6A90000-00007FFDA6BD8000 drvstore.dll	6.2.19041.1566
00007FFDB2DD0000-00007FFDB2DFC000 devobj.dll  	6.2.19041.1620
00007FFDB1CB0000-00007FFDB1CE3000 ntmarta.dll 	6.2.19041.546
00007FFDA66E0000-00007FFDA671B000 dxcore.dll  	6.2.19041.546
00007FFD79370000-00007FFD79637000 nvspcap64.dll	3.25.1.27
00007FFDB2A30000-00007FFDB2A7B000 powrprof.dll	6.2.19041.546
00007FFDB2A10000-00007FFDB2A22000 UMPDC.dll
00007FFDB2680000-00007FFDB26DA000 WINSTA.dll  	6.2.19041.546
00007FFDB1A00000-00007FFDB1AF3000 dxgi.dll    	6.2.19041.1566
00007FFDAE260000-00007FFDAE4C4000 d3d11.dll   	6.2.19041.1620
00007FFDA2850000-00007FFDA2FB9000 nvapi64.dll 	30.0.15.1277
00007FFDAB5C0000-00007FFDAB5D0000 libEGL.DLL  	5.12.12.0
00007FFD5EB50000-00007FFD5EF29000 libGLESv2.dll	5.12.12.0
00007FFDAF2E0000-00007FFDAF4C5000 dcomp.dll   	6.2.19041.1566
00007FFDA5830000-00007FFDA60A4000 igd10um64gen11.DLL	30.0.101.1934
00007FFDB2AF0000-00007FFDB2B17000 ncrypt.dll  	6.2.19041.662
00007FFDB2AB0000-00007FFDB2AEB000 NTASN1.dll  	6.2.19041.546
00007FFD69D80000-00007FFD69FC8000 wintab32.dll	1.0.5.10
00007FFD7F650000-00007FFD7F8C4000 Wacom_Tablet.dll	6.3.46.1
00007FFD8BDF0000-00007FFD8BEA0000 nvldumdx.dll	30.0.15.1277
00007FFD5C200000-00007FFD5EB4A000 nvwgf2umx.dll	30.0.15.1277
000000006CC40000-000000006CC74000 qwindowsvistastyle.dll	5.12.12.0
0000000070700000-0000000070714000 qsvgicon.dll	5.12.12.0
00007FFDA9B60000-00007FFDA9B9E000 dataexchange.dll	6.2.19041.1387
00007FFDA9D80000-00007FFDA9F81000 twinapi.appcore.dll	6.2.19041.964
00007FFDA6350000-00007FFDA66D3000 igd10iumd64.dll	30.0.101.1934
00007FFDA2350000-00007FFDA273A000 igdgmm64.dll	30.0.101.1934
00007FFD9D620000-00007FFDA16F8000 igc64.dll   	30.0.101.1934
00007FFD8BB00000-00007FFD8BB2C000 exchndl.dll 	0.9.4.0
00007FFD78060000-00007FFD780F2000 mgwhelp.dll 	0.9.4.0
00007FFD6CD20000-00007FFD6CF13000 dbghelp.dll 	10.0.17763.1
00007FFD7E460000-00007FFD7E48A000 dbgcore.DLL 	10.0.17763.1
00007FFD8EDD0000-00007FFD8F04F000 dwrite.dll  	6.2.19041.1566
00007FFDA8560000-00007FFDA857A000 kimg_hdr.dll
00007FFDA8460000-00007FFDA8471000 kimg_kra.dll
00007FFD7DA10000-00007FFD7DA52000 libKF5Archive.dll
0000000063CC0000-0000000063CED000 liblzma.dll 	5.2.5.0
00007FFDA8400000-00007FFDA8411000 kimg_ora.dll
00007FFD9BD80000-00007FFD9BD93000 kimg_pcx.dll
00007FFD96D50000-00007FFD96D63000 kimg_pic.dll
00007FFD96150000-00007FFD96161000 kimg_psd.dll
00007FFD8F320000-00007FFD8F332000 kimg_ras.dll
00007FFD8F170000-00007FFD8F184000 kimg_rgb.dll
00007FFD8F070000-00007FFD8F081000 kimg_tga.dll
00007FFD8E970000-00007FFD8E98E000 kimg_xcf.dll
0000000061F00000-0000000061F13000 qgif.dll    	5.12.12.0
000000006C600000-000000006C615000 qicns.dll   	5.12.12.0
000000006E840000-000000006E853000 qico.dll    	5.12.12.0
00000000626C0000-000000006272E000 qjpeg.dll   	5.12.12.0
0000000061B00000-0000000061B11000 qsvg.dll    	5.12.12.0
000000006CF00000-000000006CF14000 qtiff.dll   	5.12.12.0
00007FFD75EB0000-00007FFD75F27000 libtiff.dll
00007FFD74460000-00007FFD744E8000 libjpeg-62.dll
0000000066AC0000-0000000066AD1000 qwbmp.dll   	5.12.12.0
00000000675C0000-0000000067652000 qwebp.dll   	5.12.12.0
00007FFDA7A80000-00007FFDA7B79000 textinputframework.dll	6.2.19041.1620
00007FFDAFFF0000-00007FFDB034E000 CoreUIComponents.dll	6.2.19041.546
00007FFDB0350000-00007FFDB0442000 CoreMessaging.dll	6.2.19041.746
00007FFDAFB30000-00007FFDAFC84000 wintypes.dll	6.2.19041.1682
00007FFDAB280000-00007FFDAB2E6000 Oleacc.dll  	7.2.19041.746
00007FFD80EA0000-00007FFD81195000 UIAutomationCore.dll	7.2.19041.1682
00007FFDAFA30000-00007FFDAFB26000 PROPSYS.dll 	7.0.19041.1023
00007FFDB2E30000-00007FFDB2ED2000 sxs.dll     	6.2.19041.546
00007FFD8CC70000-00007FFD8CC85000 krita_shape_image.dll
00007FFD75E50000-00007FFD75EA9000 krita_shape_paths.dll
00007FFD5B5E0000-00007FFD5C1FF000 kritalcmsengine.dll
00007FFD8C960000-00007FFD8C979000 liblcms2_fast_float.dll
00007FFD73DB0000-00007FFD73E0A000 liblcms2.dll
00007FFD7AEF0000-00007FFD7AF2A000 krita_colorspaces_extensions.dll
00007FFD822B0000-00007FFD822C8000 kritaasccdl.dll
00007FFD7AD70000-00007FFD7ADA4000 kritablurfilter.dll
00007FFD73120000-00007FFD7316C000 kritacolorsfilters.dll
00007FFD80A40000-00007FFD80A59000 kritaconvertheighttonormalmap.dll
00007FFD7D3B0000-00007FFD7D3C5000 kritaconvolutionfilters.dll
00007FFD7D1B0000-00007FFD7D1C5000 kritadodgeburn.dll
00007FFD7ACE0000-00007FFD7ACF9000 kritaedgedetection.dll
00007FFD7A980000-00007FFD7A993000 kritaembossfilter.dll
00007FFD7A870000-00007FFD7A884000 kritaexample.dll
00007FFD7A800000-00007FFD7A81A000 kritaextensioncolorsfilters.dll
00007FFD79D00000-00007FFD79D19000 kritafastcolortransferfilter.dll
00007FFD78030000-00007FFD78055000 kritagaussianhighpassfilter.dll
00007FFD75A00000-00007FFD75A23000 kritagradientmap.dll
00007FFD73D70000-00007FFD73DA5000 kritahalftone.dll
00007FFD730F0000-00007FFD7311B000 kritaimageenhancement.dll
00007FFD79CE0000-00007FFD79CFD000 kritaindexcolors.dll
00007FFD74440000-00007FFD74459000 kritalevelfilter.dll
00007FFD739F0000-00007FFD73A09000 kritanoisefilter.dll
00007FFD730D0000-00007FFD730E6000 kritanormalize.dll
00007FFD730B0000-00007FFD730C7000 kritaoilpaintfilter.dll
00007FFD73080000-00007FFD730A2000 kritapalettize.dll
00007FFD72B50000-00007FFD72B75000 kritaphongbumpmap.dll
00007FFD72B30000-00007FFD72B47000 kritapixelizefilter.dll
00007FFD72B10000-00007FFD72B27000 kritaposterize.dll
00007FFD72AF0000-00007FFD72B04000 kritaraindropsfilter.dll
00007FFD72AD0000-00007FFD72AE9000 kritarandompickfilter.dll
00007FFD72AB0000-00007FFD72AC7000 kritaroundcornersfilter.dll
00007FFD72A90000-00007FFD72AA5000 kritasmalltilesfilter.dll
00007FFD72A70000-00007FFD72A8A000 kritathreshold.dll
00007FFD727A0000-00007FFD727C3000 kritaunsharpfilter.dll
00007FFD72780000-00007FFD7279D000 kritawavefilter.dll
00007FFD721C0000-00007FFD721D8000 kritacolorgenerator.dll
00007FFD72190000-00007FFD721B8000 kritagradientgenerator.dll
00007FFD72160000-00007FFD72184000 kritamultigridpatterngenerator.dll
00007FFD6F370000-00007FFD6F391000 kritapatterngenerator.dll
00007FFD6F320000-00007FFD6F365000 kritascreentonegenerator.dll
00007FFD6EA40000-00007FFD6EB1D000 kritaseexprgenerator.dll
00007FFD6F300000-00007FFD6F31E000 kritasimplexnoisegenerator.dll
00007FFD6E9E0000-00007FFD6EA3F000 kritacolorsmudgepaintop.dll
00007FFD5B4A0000-00007FFD5B5D6000 libkritalibpaintop.dll
00007FFD6E9B0000-00007FFD6E9D9000 kritacurvepaintop.dll
00007FFD660A0000-00007FFD66104000 kritadefaultpaintops.dll
00007FFD6E970000-00007FFD6E9A7000 kritadeformpaintop.dll
00007FFD6E5A0000-00007FFD6E5CD000 kritaexperimentpaintop.dll
00007FFD6DF50000-00007FFD6DF7A000 kritafilterop.dll
00007FFD6DF20000-00007FFD6DF46000 kritagridpaintop.dll
00007FFD6C980000-00007FFD6C9B4000 kritahairypaintop.dll
00007FFD69210000-00007FFD69249000 kritahatchingpaintop.dll
00007FFD5B430000-00007FFD5B49D000 kritamypaintop.dll
00007FFD66190000-00007FFD661B2000 libmypaint.dll
00007FFD66170000-00007FFD6618C000 libjson-c.dll
00007FFD66070000-00007FFD66098000 kritaparticlepaintop.dll
00007FFD5B400000-00007FFD5B426000 kritaroundmarkerpaintop.dll
00007FFD5B3D0000-00007FFD5B3FE000 kritasketchpaintop.dll
00007FFD5B390000-00007FFD5B3CF000 kritaspraypaintop.dll
00007FFD5B360000-00007FFD5B38E000 kritatangentnormalpaintop.dll
00007FFD5B300000-00007FFD5B352000 krita_flaketools.dll
00007FFD5B2D0000-00007FFD5B2FC000 krita_karbontools.dll
00007FFD5B290000-00007FFD5B2CB000 krita_tool_svgtext.dll
00007FFD5B230000-00007FFD5B286000 kritaassistanttool.dll
00007FFD5B190000-00007FFD5B22A000 kritadefaulttools.dll
00007FFD5B170000-00007FFD5B18B000 libkritabasicflakes.dll
00007FFD5B0D0000-00007FFD5B165000 kritaselectiontools.dll
00007FFD5B0A0000-00007FFD5B0CF000 kritatoolSmartPatch.dll
00007FFD5B070000-00007FFD5B09F000 kritatoolcrop.dll
00007FFD5B050000-00007FFD5B068000 kritatooldyna.dll
00007FFD5B020000-00007FFD5B047000 kritatoollazybrush.dll
00007FFD5B000000-00007FFD5B017000 kritatoolpolygon.dll
00007FFD5AFE0000-00007FFD5AFF6000 kritatoolpolyline.dll
00007FFD5AEB0000-00007FFD5AFE0000 kritatooltransform.dll
00007FFD5ADF0000-00007FFD5AEA9000 kritaanimationdocker.dll
00007FFD5ADD0000-00007FFD5ADE9000 kritaarrangedocker.dll
00007FFD5AD90000-00007FFD5ADC1000 kritaartisticcolorselector.dll
00007FFD5AD60000-00007FFD5AD83000 kritachanneldocker.dll
00007FFD5ACF0000-00007FFD5AD55000 kritacolorselectorng.dll
00007FFD5ACC0000-00007FFD5ACE4000 kritacompositiondocker.dll
00007FFD5ACA0000-00007FFD5ACB6000 kritadigitalmixer.dll
00007FFD5AC70000-00007FFD5AC9A000 kritagamutmask.dll
00007FFD5AC50000-00007FFD5AC6E000 kritagriddocker.dll
00007FFD5AC30000-00007FFD5AC4C000 kritahistogramdocker.dll
00007FFD5AC10000-00007FFD5AC30000 kritahistorydocker.dll
00007FFD5ABC0000-00007FFD5AC04000 kritalayerdocker.dll
00007FFD5ABA0000-00007FFD5ABBA000 kritalogdocker.dll
00007FFD5AB60000-00007FFD5AB91000 kritalutdocker.dll
00007FFD5A720000-00007FFD5AB5C000 libOpenColorIO_2_1.dll
00007FFD5A700000-00007FFD5A720000 kritaoverviewdocker.dll
00007FFD5A6E0000-00007FFD5A6FD000 kritapalettedocker.dll
00007FFD5A6C0000-00007FFD5A6D3000 kritapatterndocker.dll
00007FFD5A6A0000-00007FFD5A6B5000 kritapresetdocker.dll
00007FFD5A680000-00007FFD5A69A000 kritapresethistory.dll
00007FFD5A630000-00007FFD5A67A000 kritarecorderdocker.dll
00007FFD5A600000-00007FFD5A621000 kritasmallcolorselector.dll
00007FFD5A5E0000-00007FFD5A5FD000 kritasnapshotdocker.dll
00007FFD5A5C0000-00007FFD5A5DC000 kritaspecificcolorselector.dll
00007FFD5A550000-00007FFD5A5B2000 kritastoryboarddocker.dll
00007FFD5A530000-00007FFD5A548000 kritasvgcollectiondocker.dll
00007FFD5A510000-00007FFD5A52C000 kritatasksetdocker.dll
00007FFD5A4F0000-00007FFD5A50E000 kritatouchdocker.dll
00007FFD5A3F0000-00007FFD5A4EA000 libkritaqml.dll
00007FFD59FE0000-00007FFD59FF9000 Qt5QuickWidgets.dll	5.12.12.0
00007FFD5A000000-00007FFD5A3EF000 Qt5Quick.dll	5.12.12.0
00007FFD59BE0000-00007FFD59FD7000 Qt5Qml.dll  	5.12.12.0
000000006D9C0000-000000006DAD2000 qsqlite.dll 	5.12.12.0
0000000067580000-00000000675A2000 qgenericbearer.dll	5.12.12.0
00007FFDABD10000-00007FFDABD27000 dhcpcsvc6.DLL	6.2.19041.546
00007FFDAC130000-00007FFDAC14D000 dhcpcsvc.DLL	6.2.19041.546
00007FFDA4390000-00007FFDA43B4000 edputil.dll 	6.2.19041.546
00007FFD59BC0000-00007FFD59BD8000 kritabuginfo.dll
00007FFD59BA0000-00007FFD59BBC000 kritaclonesarray.dll
00007FFD59B70000-00007FFD59B91000 kritacolorrange.dll
00007FFD59B50000-00007FFD59B6A000 kritacolorspaceconversion.dll
00007FFD59B30000-00007FFD59B4F000 kritadbexplorer.dll
00007FFD59B10000-00007FFD59B2F000 kritaimagesplit.dll
00007FFD59AF0000-00007FFD59B05000 kritalayergroupswitcher.dll
00007FFD59AC0000-00007FFD59AE2000 kritalayersplit.dll
00007FFD59A90000-00007FFD59ABC000 kritametadataeditor.dll
00007FFD59A70000-00007FFD59A8C000 kritamodifyselection.dll
00007FFD59A40000-00007FFD59A62000 kritaoffsetimage.dll
00007FFD59A20000-00007FFD59A32000 kritaqmic.dll
00007FFD599E0000-00007FFD59A20000 libkritaqmicinterface.dll
00007FFD59970000-00007FFD599D6000 kritaresourcemanager.dll
00007FFD59950000-00007FFD5996D000 kritarotateimage.dll
00007FFD59920000-00007FFD59942000 kritaseparatechannels.dll
00007FFD59900000-00007FFD59915000 kritashearimage.dll
00007FFD598E0000-00007FFD598FB000 kritawaveletdecompose.dll
00007FFD598B0000-00007FFD598DE000 kritapykrita.dll
00007FFD593D0000-00007FFD59474000 libkritalibkis.dll
00007FFD59480000-00007FFD598AC000 python38.dll	3.8.1150.1013
00007FFD593B0000-00007FFD593C5000 VCRUNTIME140.dll	14.16.27012.6
00007FFD59330000-00007FFD593AA000 krita.pyd
0000000069180000-00000000691A5000 sip.cp38-win_amd64.pyd
000000006B880000-000000006BB09000 QtCore.pyd
0000000066300000-0000000066597000 QtGui.pyd
0000000065400000-00000000659EE000 QtWidgets.pyd
0000000061640000-0000000061685000 QtXml.pyd
00007FFD59310000-00007FFD59327000 _bz2.pyd    	3.8.1150.1013
00007FFD592D0000-00007FFD59310000 _lzma.pyd   	3.8.1150.1013
00007FFD592A0000-00007FFD592CD000 _elementtree.pyd	3.8.1150.1013
00007FFD59260000-00007FFD59291000 pyexpat.pyd 	3.8.1150.1013
00007FFDA8B80000-00007FFDA8B8D000 _hashlib.pyd	3.8.1150.1013
00007FFD589F0000-00007FFD58D32000 libcrypto-1_1.dll	1.1.1.4
00007FFD59240000-00007FFD59256000 _socket.pyd 	3.8.1150.1013
00007FFDA89F0000-00007FFDA89F9000 select.pyd  	3.8.1150.1013
00007FFD59120000-00007FFD59140000 _ssl.pyd    	3.8.1150.1013
00007FFD58FE0000-00007FFD5908B000 libssl-1_1.dll	1.1.1.4
00007FFD59100000-00007FFD59112000 _asyncio.pyd	3.8.1150.1013
00007FFDA8710000-00007FFDA871D000 _overlapped.pyd	3.8.1150.1013
00007FFDB2770000-00007FFDB27DA000 mswsock.dll 	6.2.19041.546
0000000020270000-000000002027F000 qtquick2plugin.dll	5.12.12.0
00007FFD58930000-00007FFD589E7000 kritasketchplugin.dll
00007FFD590D0000-00007FFD590FB000 kritatiffimport.dll
00007FFD3BDA0000-00007FFD3C00F000 d3dcompiler_43.dll	9.29.952.3111
00007FFD58F70000-00007FFD58F81000 kritakraimport.dll
00007FFD588B0000-00007FFD5892B000 libkritalibkra.dll
00007FFD587C0000-00007FFD5882C000 symsrv.dll  	10.0.17763.1
00007FFD8F470000-00007FFD8F946000 WININET.dll 	11.0.19041.1566
00007FFDA7350000-00007FFDA7601000 iertutil.dll	11.0.19041.1682
00007FFDB2EE0000-00007FFDB2F12000 SspiCli.dll 	6.2.19041.1586
00007FFD955F0000-00007FFD95607000 ondemandconnroutehelper.dll	6.2.19041.546
00007FFDAD4A0000-00007FFDAD5AA000 winhttp.dll 	6.2.19041.1682
00007FFDAC1E0000-00007FFDAC1EB000 WINNSI.DLL  	6.2.19041.546
00007FFDA3D20000-00007FFDA3F0C000 urlmon.dll  	11.0.19041.1682
00007FFDA68B0000-00007FFDA68BA000 rasadhlp.dll	6.2.19041.546
00007FFDA5010000-00007FFDA5090000 fwpuclnt.dll	6.2.19041.1682

Windows 6.2.9200
DrMingw 0.9.4



STEPS TO REPRODUCE
1. open Resource Management menu
2. I want to import a pattern I made so I go to Patterns on the resource list 
3. for a while it freezes then crashes instantly 

OBSERVED RESULT


EXPECTED RESULT


SOFTWARE/OS VERSIONS
Windows: 10
macOS: 
Linux/KDE Plasma: 
(available in About System)
KDE Plasma Version: 
KDE Frameworks Version: 
Qt Version: 

ADDITIONAL INFORMATION
Comment 1 Halla Rempt 2022-07-13 09:40:30 UTC
Git commit fa0d36350dbd4f5ff202a308f7c11da73e374165 by Halla Rempt.
Committed on 13/07/2022 at 09:40.
Pushed by rempt into branch 'master'.

Check the tag before putting it in the list

KisResourceLocator::tagForUrlNoCache can return KisTagSP(), so
we need to check everywhere whether the tag exists and is valid.

M  +5    -0    libs/resources/KisResourceLocator.cpp
M  +3    -1    libs/resources/KisResourceModel.cpp

https://invent.kde.org/graphics/krita/commit/fa0d36350dbd4f5ff202a308f7c11da73e374165
Comment 2 Halla Rempt 2022-07-13 09:40:36 UTC
Git commit 59cf015f1159552dfbd48f035120d5838c270580 by Halla Rempt.
Committed on 13/07/2022 at 09:40.
Pushed by rempt into branch 'krita/5.1'.

Check the tag before putting it in the list

KisResourceLocator::tagForUrlNoCache can return KisTagSP(), so
we need to check everywhere whether the tag exists and is valid.
(cherry picked from commit fa0d36350dbd4f5ff202a308f7c11da73e374165)

M  +5    -0    libs/resources/KisResourceLocator.cpp
M  +3    -1    libs/resources/KisResourceModel.cpp

https://invent.kde.org/graphics/krita/commit/59cf015f1159552dfbd48f035120d5838c270580